using System;

internal sealed class Delegate23 : MulticastDelegate
{
	public extern void Invoke(object object_0, string string_0, string string_1, string string_2, string string_3, Func<bool> func_0);

	public static void smethod_0(object object_0, string string_0, string string_1, string string_2, string string_3, Func<bool> func_0, Delegate23 delegate23_1)
	{
		delegate23_1(object_0, string_0, string_1, string_2, string_3, func_0);
	}

	public extern Delegate23(object object_0, IntPtr intptr_0);

	static Delegate23()
	{
		Class10.smethod_13(typeof(Delegate23).TypeHandle);
	}

	internal static Delegate23 delegate23_0;
}
